Author Topic: Match Label Style Rotation  (Read 157 times)

0 Members and 1 Guest are viewing this topic.

MSTG007

  • Water Moccasin
  • Posts: 2454
  • I can't remeber what I already asked! I need help!
Match Label Style Rotation
« on: November 13, 2020, 01:55:12 PM »
This might be an off the wall question. Is it possible to have a routine which will match rotation angle with other same type labels?

Basically, I have several spot elevation (without a dragged state). I have been rotating them one by one and was curious if I could select one to match the others. Not sure if Lisp could do it, or it would need to be a .NET app.

Thanks for any help!
Civil3D 2020

ronjonp

  • Needs a day job
  • Posts: 7200
Re: Match Label Style Rotation
« Reply #1 on: November 13, 2020, 02:22:44 PM »
This might be an off the wall question. Is it possible to have a routine which will match rotation angle with other same type labels?

Basically, I have several spot elevation (without a dragged state). I have been rotating them one by one and was curious if I could select one to match the others. Not sure if Lisp could do it, or it would need to be a .NET app.

Thanks for any help!
Post a drawing ... what kind of 'label' are you talking about?

Windows 10 x64 - AutoCAD /C3D 2020

Custom Build PC

MSTG007

  • Water Moccasin
  • Posts: 2454
  • I can't remeber what I already asked! I need help!
Re: Match Label Style Rotation
« Reply #2 on: November 16, 2020, 07:56:44 AM »
Here you go. I hope this isn't to hard.
Civil3D 2020

ronjonp

  • Needs a day job
  • Posts: 7200
Re: Match Label Style Rotation
« Reply #3 on: November 16, 2020, 10:35:31 AM »
Sorry .. I don't have C3D installed right now. Dump the object properties and see if anything looks like rotation: (vlax-dump-Object (vlax-ename->vla-object (car (entsel))))

Windows 10 x64 - AutoCAD /C3D 2020

Custom Build PC

MSTG007

  • Water Moccasin
  • Posts: 2454
  • I can't remeber what I already asked! I need help!
Re: Match Label Style Rotation
« Reply #4 on: November 16, 2020, 01:00:05 PM »
Here is the dump with the selection is with the rotated spot elevation label style.

Code: [Select]
Command: (vlax-dump-object (vlax-ename->vla-object (car (entsel))) t)
Select object: ; IAeccSurfaceElevationLabel: IAeccSurfaceElevationLabel interface
; Property values:
;   Application (RO) = #<VLA-OBJECT IAeccApplication 00000280bfc3c980>
;   Description = Civil 3D API: The parameter is incorrect.
;   DisplayName (RO) = Civil 3D API: The parameter is incorrect.
;   Document (RO) = #<VLA-OBJECT IAeccDocument 000002891b423800>
;   EntityTransparency = "ByLayer"
;   Flipped = 0
;   Handle (RO) = "3D0B7"
;   HasExtensionDictionary (RO) = 0
;   Hyperlinks (RO) = #<VLA-OBJECT IAcadHyperlinks 000002892381f9f8>
;   LabelStyle = #<VLA-OBJECT IAeccLabelStyle 000002891b650a10>
;   Layer = "C-TOPO-LABL-oFG-FINISHED GRADE - 190017000"
;   LeaderAttachmentOption = 0
;   Linetype = "ByLayer"
;   LinetypeScale = 1.0
;   Lineweight = -1
;   MarkerStyle = #<VLA-OBJECT IAeccMarkerStyle 000002891742caa0>
;   Material = "ByLayer"
;   Name = Civil 3D API: The parameter is incorrect.
;   ObjectID (RO) = 42
;   ObjectName (RO) = "AeccDbSurfaceElevLabel"
;   OwnerID (RO) = 43
;   Pinned = 0
;   PlotStyleName = "ByLayer"
;   Reversed = 0
;   ShowToolTip = Civil 3D API: The parameter is incorrect.
;   Surface (RO) = #<VLA-OBJECT IAeccTinSurface 00000289243c8aa0>
;   TrueColor = #<VLA-OBJECT IAcadAcCmColor 000002892381f930>
;   Type (RO) = 9
;   Visible = -1
; Methods supported:
;   ArrayPolar (3)
;   ArrayRectangular (6)
;   Copy ()
;   Delete ()
;   GetBoundingBox (2)
;   GetExtensionDictionary ()
;   GetXData (3)
;   Highlight (1)
;   IntersectWith (2)
;   IsReferenceObject ()
;   IsReferenceStale ()
;   IsReferenceSubObject ()
;   IsReferenceValid ()
;   Mirror (2)
;   Mirror3D (3)
;   Move (2)
;   Rotate (2)
;   Rotate3D (3)
;   ScaleEntity (2)
;   SetXData (2)
;   TransformBy (1)
;   Update ()
T
Civil3D 2020

Jeff_M

  • King Gator
  • Posts: 3982
  • C3D user & customizer
Re: Match Label Style Rotation
« Reply #5 on: November 16, 2020, 02:45:01 PM »
Nope, cannot be done with lisp without help from a .NET tool.

MSTG007

  • Water Moccasin
  • Posts: 2454
  • I can't remeber what I already asked! I need help!
Re: Match Label Style Rotation
« Reply #6 on: November 16, 2020, 03:06:57 PM »
Thanks Jeff, That was in the back of my head. I'll go try to piece something together. Thanks again guys.
Civil3D 2020